com.unitech.lib.util.diagnotics

## Class StringUtil

- java.lang.Object
- - com.unitech.lib.util.diagnotics.StringUtil

-     public class StringUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getNull(java.lang.String str)`
    `static boolean` | `isNullOrEmpty(java.lang.String str)`
    `static java.lang.String` | `padLeft(java.lang.String str, int length, char pad)`
    `static java.lang.String` | `padRight(java.lang.String str, int length, char pad)`
    `static java.lang.String` | `toAscii(java.lang.String hex)`
    `static byte` | `toByte(java.lang.String value)`
    `static byte` | `toByte(java.lang.String value, int radix)`
    `static byte[]` | `toBytes(java.lang.String hex)`
    `static byte[]` | `toBytes(java.lang.String value, int radix)`
    `static java.lang.String` | `toHex(java.lang.String ascii)`
    `static int` | `toInteger(java.lang.String value)`
    `static int` | `toInteger(java.lang.String value, int radix)`
    `static short` | `toShort(java.lang.String value)`
    `static short` | `toShort(java.lang.String value, int radix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringUtil

          public StringUtil()

  - ### Method Detail

    - #### isNullOrEmpty

          public static boolean isNullOrEmpty(java.lang.String str)

    - #### getNull

          public static java.lang.String getNull(java.lang.String str)

    - #### toInteger

          public static int toInteger(java.lang.String value)

    - #### toInteger

          public static int toInteger(java.lang.String value,
                                      int radix)

    - #### toShort

          public static short toShort(java.lang.String value)

    - #### toShort

          public static short toShort(java.lang.String value,
                                      int radix)

    - #### toByte

          public static byte toByte(java.lang.String value)

    - #### toByte

          public static byte toByte(java.lang.String value,
                                    int radix)

    - #### toBytes

          public static byte[] toBytes(java.lang.String hex)

    - #### toBytes

          public static byte[] toBytes(java.lang.String value,
                                       int radix)

    - #### toAscii

          public static java.lang.String toAscii(java.lang.String hex)

    - #### toHex

          public static java.lang.String toHex(java.lang.String ascii)

    - #### padLeft

          public static java.lang.String padLeft(java.lang.String str,
                                                 int length,
                                                 char pad)

    - #### padRight

          public static java.lang.String padRight(java.lang.String str,
                                                  int length,
                                                  char pad)